import { ElementRef, EventEmitter } from '@angular/core';
import { TreeModel } from '../models/tree-view.model';
import { NgxTreeService } from '../ngx-tree-lib.service';
export declare class DropElementsDirective {
    private el;
    private treeService;
    constructor(el: ElementRef, treeService: NgxTreeService);
    item: TreeModel;
    drop: EventEmitter<{}>;
    onDragOver(event: Event): void;
    onDrop(event: Event): void;
    onDragEnter(event: Event): void;
    onDragLeave(event: Event): void;
}
